package com.bonus.canteen.core.auth.role.vo;

import com.bonus.canteen.core.common.encrypt.LeNiuDecryptDataProcess;
import com.bonus.canteen.core.common.encrypt.LeNiuDecryptField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel("指定角色人员")
@LeNiuDecryptDataProcess
public class MgrRoleUserVO {
   @ApiModelProperty("用户编号")
   private Long userId;
   @ApiModelProperty("用户名")
   private String username;
   @ApiModelProperty("真实姓名")
   @LeNiuDecryptField
   private String realName;

   public Long getUserId() {
      return this.userId;
   }

   public String getUsername() {
      return this.username;
   }

   public String getRealName() {
      return this.realName;
   }

   public void setUserId(final Long userId) {
      this.userId = userId;
   }

   public void setUsername(final String username) {
      this.username = username;
   }

   public void setRealName(final String realName) {
      this.realName = realName;
   }

}
